restinio::http_field_parsers::impl::is_alphanum_predicate_t Struct Reference

A preducate for symbol_producer_template that checks that a symbol is an alpha or numeric. More...

`#include <basics.hpp>`

Inheritance diagram for restinio::http_field_parsers::impl::is_alphanum_predicate_t:

## Public Member Functions

RESTINIO_NODISCARD bool | operator() (const char actual) const noexcept

## Detailed Description

A preducate for symbol_producer_template that checks that a symbol is an alpha or numeric.

Since
  v.0.6.2

Definition at line 297 of file basics.hpp.

## Member Function Documentation

## operator()()

RESTINIO_NODISCARD bool restinio::http_field_parsers::impl::is_alphanum_predicate_t::operator() | ( | const char | actual | ) | const

inlinenoexcept

Definition at line 301 of file basics.hpp.

The documentation for this struct was generated from the following file:

- restinio/helpers/http_field_parsers/basics.hpp